// Animation control with frameCount
final int MAX= 5;
final int frameSpan = 60;  // frames for each element

color [ ] cols;
int index;

void setup( )
{
  size( 300, 300 );
  textAlign( CENTER, CENTER );
  textSize( 48 );
  cols = new color[ MAX ];
  initArray( );

  index = 0;
}
void draw ( )
{
   background( 0 );
   determineArrayIndex( );
   showData( );
   
}

void determineArrayIndex( )
{
       // first way to determine index
     if ( frameCount%frameSpan == 0 )
     {
         index++;
     }
       // we have to protect the array bounds
     if ( index >= cols.length)
     {
        index = 0; 
     }
  
       // second way to determine index
     //int n = frameCount/frameSpan;
     //index = n%cols.length;
     
       // third way to determine index
     //index = (frameCount/frameSpan)%cols.length;

}

void showData( )
{
   fill(cols[index] );
   rect( width*.2, height*.2, width*.6, height*.6 );
   fill( 0 );
   text( index, width/2, height/2 );
   text( "index:", width/2, height*.3);
}

void initArray( )
{
   for( int i = 0; i < cols.length; i++)
   {
      float r = random( 256 );
      float g = random( 256 );
      float b = random( 256 );
      cols[i] = color( r, b, g );
   }
}
